Skip to content
Start here

Create a virtual network

client.zeroTrust.networks.virtualNetworks.create(VirtualNetworkCreateParams { account_id, name, comment, 2 more } params, RequestOptionsoptions?): VirtualNetwork { id, comment, created_at, 3 more }
POST/accounts/{account_id}/teamnet/virtual_networks

Adds a new virtual network to an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare Tunnel Write
ParametersExpand Collapse
params: VirtualNetworkCreateParams { account_id, name, comment, 2 more }
account_id: string

Path param: Cloudflare account ID

maxLength32
name: string

Body param: A user-friendly name for the virtual network.

maxLength256
comment?: string

Body param: Optional remark describing the virtual network.

maxLength256
Deprecatedis_default?: boolean
Use the is_default_network property instead.

Body param: If true, this virtual network is the default for the account.

is_default_network?: boolean

Body param: If true, this virtual network is the default for the account.

ReturnsExpand Collapse
VirtualNetwork { id, comment, created_at, 3 more }
id: string

UUID of the virtual network.

formatuuid
comment: string

Optional remark describing the virtual network.

maxLength256
created_at: string

Timestamp of when the resource was created.

formatdate-time
is_default_network: boolean

If true, this virtual network is the default for the account.

name: string

A user-friendly name for the virtual network.

maxLength256
deleted_at?: string

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time

Create a virtual network

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const virtualNetwork = await client.zeroTrust.networks.virtualNetworks.create({
  account_id: '699d98642c564d2e855e9661899b7252',
  name: 'us-east-1-vpc',
});

console.log(virtualNetwork.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Staging VPC for data science",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "is_default_network": true,
    "name": "us-east-1-vpc",
    "deleted_at": "2009-11-10T23:00:00.000000Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Staging VPC for data science",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "is_default_network": true,
    "name": "us-east-1-vpc",
    "deleted_at": "2009-11-10T23:00:00.000000Z"
  },
  "success": true
}